> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# List Recurring Grants

GET https://api.givechariot.com/v1/recurring_grants

Returns a list of all recurring grants for a given Connect. This API allows for paginating over many results.

Reference: https://docs.givechariot.com/api/recurring-grants/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Query parameters

- `connect_id` (string, optional) — the `id` of the Connect object. This can be used to filter the recurring grants by a specific Connect if you have more than one.
- `pageLimit` (integer, optional, default: 10) — the number of results to return; defaults to 10, max is 100
- `pageToken` (string, optional) — A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls and the value of this field should be from the nextPageToken in the previous response.

## Response

### 200

The response for RecurringGrants.list

- `results` (list of RecurringGrant, optional)
- `nextPageToken` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### RecurringGrant

A RecurringGrant represents a successfully initiated recurring grant request with a Donor Advised Fund. RecurringGrants are created when a person interacts with an instance of Chariot Connect and successfully submits a recurring grant and completes the workflow. On creation, each RecurringGrant object will also have a Grant object created to represent the first grant of the recurring grant. There can be many grants associated with the same recurring grant.

- `id` (string, required) — The unique identifier for the object
- `workflowSessionId` (string, required) — ID of the Connect Workflow Session associated with this grant
- `fundId` (string, required) — ID of the donor advised fund
- `frequency` (enum, required) — How often the DAF provider will submit the recurring grant. At the moment, monthly is the only supported frequency.
  - Allowed values: `MONTHLY`
- `amount` (double, required) — The grant amount expressed in units of whole cents
- `trackingId` (string, optional) — The tracking ID for the grant
- `externalRecurringGrantId` (string, optional) — ID of the grant associated with the donor advised fund
- `createdAt` (datetime, optional) — Time when this object was created; expressed in RFC 3339 format
- `updatedAt` (datetime, optional) — Time when this object was last updated; expressed in RFC 3339 format
- `firstName` (string, optional) — The donor's first name
- `lastName` (string, optional) — The donor's last name
- `phone` (string, optional) — The donor's phone number
- `email` (string, optional) — The donor's email
- `note` (string, optional) — An note inputted by the user at submisson
- `address` (GrantAddress, optional)

### GrantAddress

- `line1` (string, optional) — Address line 1 (e.g. street, PO Box, or company name). Maximum length: 255 characters.
- `line2` (string, optional) — Address line 2 (e.g. apartment, suite, unit, or building). Maximum length: 255 characters.
- `city` (string, optional) — City, district, suburb, town, or village.. Maximum length: 255 characters.
- `state` (string, optional) — State, county, province, or region. Maximum length: 255 characters.
- `postalCode` (string, optional) — ZIP or postal code. Maximum length: 255 characters.

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "29650c10-1eb3-4f97-a63e-f2e41c145b53",
      "workflowSessionId": "b76fa69f-c554-43b2-af9a-1d4bb9a02016",
      "fundId": "daf-id",
      "frequency": "MONTHLY",
      "amount": 15000,
      "createdAt": "2021-08-10 15:00:00.000",
      "updatedAt": "2021-08-11 15:34:00.000"
    }
  ],
  "nextPageToken": "c3f685f2-2dda-4956-815b-39867a5e5638"
}
```